import CJS_COMPAT_NODE_URL_dgnqbwwscw from 'node:url';
import CJS_COMPAT_NODE_PATH_dgnqbwwscw from 'node:path';
import CJS_COMPAT_NODE_MODULE_dgnqbwwscw from "node:module";

var __filename = CJS_COMPAT_NODE_URL_dgnqbwwscw.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_dgnqbwwscw.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_dgnqbwwscw.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  any
} from "./chunk-U2QV6PO6.js";

// src/cli/detect.ts
async function detectPnp() {
  return !!any([".pnp.js", ".pnp.cjs"]);
}

export {
  detectPnp
};
